*** Settings ***
Documentation     Test script for FNG-350

Resource          ${LIBRARY}/resource.be.robot

*** Variables ***
${source}	^PCIe_S1
#${source}	^SAS_S2
${dest}	^SAS_D
${source_hash}	NONE

*** Keywords ***
Capture D2F
	[Arguments]	${task}=${VARIABLE}	${mode}=${VARIABLE}	${segsz}=${VARIABLE}	${comp}=${VARIABLE}
	Set Imaging Config	${task}	${mode}	${segsz}	${comp}
	Task Set Master	${task}	${source}
	Task Set Hash	${task}	SHA-1	Primary
	Task Set Repositories	${task}	${dest}
	Start Task	${task}
	${tasks}=	Create List	${task}
	# Wait for all tasks to end
	Wait For Task Completion	${tasks}
	# Confirm all tasks successful
	Confirm All Tasks Successful	${tasks}
	${hash}=	Task Get Expected Hash	${task}
	Should Be Equal	${source_hash}	${hash}
	Task Delete	${task}

Wipe Format
	[Arguments]	${task}=${VARIABLE}	${fs}=${VARIABLE}	${enc}=${VARIABLE}
	Task Add	${task}
	Task Set Targets	${task}	${dest}
	Set Wipe Format	${task}	${fs}	${enc}
	Start Task	${task}
	${tasks}=	Create List	${task}
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	Task Delete	${task}

*** Test Cases ***
TEST_PREP
	Show All Drives
	Show All Bays
	Show All Pairs
	Task Delete All	Image
	Task Delete All	Wipe
	Task Delete All	Hash
	#Task Delete All	Push

HASH_SHA1
	[Tags]    no_tag
	Task Add	Hash:2
	Task Set Targets	Hash:2	${source}
	Task Set Hash	Hash:2	SHA-1
	Start Task	Hash:2
	${tasks}=	Create List	Hash:2
	Wait For Task Completion	${tasks}
	Confirm All Tasks Successful	${tasks}
	${hash}=	Task Get Source Hash	Hash:2	${source}
	Set Global Variable	${source_hash}	${hash}
	Task Delete	Hash:2

IMAGE_D2F_DD_SHA1_ALL_SEGSZ
	Wipe Format	Wipe:1	ext4	${false}
	@{segs}=	Create List	4Gb	16Gb
	FOR	${sz}	IN	@{segs}
		Capture D2F	Image:1	DriveToDD	${sz}	None
	END

IMAGE_D2F_DMG_SHA1_ALL_SEGSZ
	Wipe Format	Wipe:1	ext4	${false}
	@{segs}=	Create List	4Gb	16Gb
	FOR	${sz}	IN	@{segs}
		Capture D2F	Image:1	DriveToDMG	${sz}	None
	END
